Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0002232TestLinkAPI - XMLRPCpublic2009-03-14 13:332010-05-01 20:36
Reportersmeyn 
Assigned Tofman 
PrioritynormalSeverityfeature requestReproducibilityhave not tried
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version1.8 RC 5 
Fixed in Version1.9 Beta 2 
Summary0002232: An API Call to create Test Suites
DescriptionI have written a utility that exports test run results from gallio into Testlinks.
Currently if the test case does not exist it will be created.
I would likewise be able to also create the test suite if it doesn't exist yet.

Something like
   tl.createTestStuite (devKey, testProjectId, suiteName, parentid)
with parentId being optional (generates a root testSuite)
TagsNo tags attached.
Database (MySQL,Postgres,etc)
Browser
PHP Version
TestCaseID
QA Team - Task Workflow Status
Attached Files

- Relationships

-  Notes
There are no notes attached to this issue.

- Issue History
Date Modified Username Field Change
2009-03-14 13:33 smeyn New Issue
2009-03-14 14:12 sstaneva Note Added: 0005861
2009-03-15 19:14 mhavlat Note Deleted: 0005861
2009-03-15 19:15 mhavlat Severity minor => feature request
2009-03-15 19:15 mhavlat Category New Feature => TL API
2009-03-16 22:24 fman Status new => assigned
2009-03-16 22:24 fman Assigned To => fman
2009-03-16 22:24 fman Status assigned => resolved
2009-03-16 22:24 fman Fixed in Version => 1.9 (DEV)
2009-03-16 22:24 fman Resolution open => fixed
2010-05-01 20:36 fman Status resolved => closed
2013-04-25 17:30 fman Category TL API => XMLRPC API
2013-04-25 17:30 fman Category XMLRPC API => API - XMLRPC



Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker